<html>
<head>
<title>OGRE: Ogre::HardwareBufferLicensee Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a></div>
<h1>Ogre::HardwareBufferLicensee Class Reference</h1><!-- doxytag: class="Ogre::HardwareBufferLicensee" -->Abtract interface representing a 'licensee' of a hardware buffer copy.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::HardwareBufferLicensee:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1HardwareBufferLicensee-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html#5d0010fd36b460b1c0c2a4ba4337aea5">~HardwareBufferLicensee</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html#a5a241d6a5d4f8596affadda26555cff">licenseExpired</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *buffer)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This method is called when the buffer license is expired and is about to be returned to the shared pool.  <a href="#a5a241d6a5d4f8596affadda26555cff"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abtract interface representing a 'licensee' of a hardware buffer copy. 
<p>
remarks Often it's useful to have temporary buffers which are used for working but are not necessarily needed permanently. However, creating and destroying buffers is expensive, so we need a way to share these working areas, especially those based on existing fixed buffers. This class represents a licensee of one of those temporary buffers, and must be implemented by any user of a temporary buffer if they wish to be notified when the license is expired. 
<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00052">52</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="5d0010fd36b460b1c0c2a4ba4337aea5"></a><!-- doxytag: member="Ogre::HardwareBufferLicensee::~HardwareBufferLicensee" ref="5d0010fd36b460b1c0c2a4ba4337aea5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::HardwareBufferLicensee::~HardwareBufferLicensee           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00055">55</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="a5a241d6a5d4f8596affadda26555cff"></a><!-- doxytag: member="Ogre::HardwareBufferLicensee::licenseExpired" ref="a5a241d6a5d4f8596affadda26555cff" args="(HardwareBuffer *buffer)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::HardwareBufferLicensee::licenseExpired           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *&nbsp;</td>
          <td class="paramname"> <em>buffer</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This method is called when the buffer license is expired and is about to be returned to the shared pool. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#20082709a68b75596620418aa69a172a">Ogre::TempBlendedBufferInfo</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:54 2008
</p>
</body>
</html>
